Home

# Class goog.ui.CssRoundedPanel

RoundedPanel class specifically for browsers that support CSS attributes for elements with rounded borders (ex. Safari 3.0+, Firefox 3.0+). Do not instantiate directly. Instead, call goog.ui.RoundedPanel.create().

extends goog.ui.BaseRoundedPanel

Instance Method Summary
| `decorateInternal(?Element element)` This method performs all the necessary DOM manipulation to create the panel. Overrides {@link goog.ui.Component#decorateInternal}.
| `getStyle_(number corner) ⇒ string` This method returns the CSS style based on the corner of the panel, and the user-agent.